%define pkg_name        Net-DNS
%define pkg_version     0.61
%define rpm_pkg_version 0.61
%define rpm_pkg_release 1.n0i.18

Summary:       Interface to the DNS resolver
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/O/OL/OLAF/%{pkg_name}-%{pkg_version}.tar.gz


BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Digest::HMAC_MD5) >= 1}
%{!?_without_test:BuildRequires: perl(Digest::MD5) >= 2.12}
%{!?_without_test:BuildRequires: perl(IO::Socket)}
%{!?_without_test:BuildRequires: perl(MIME::Base64) >= 2.11}
%{!?_without_test:BuildRequires: perl(Net::IP) >= 1.2}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.18}

%global perl_filter_req 'Win32'

%description
Net::DNS is a collection of Perl modules that act as a Domain Name System
(DNS) resolver. It allows the programmer to perform DNS queries that are
beyond the capabilities of "gethostbyname" and "gethostbyaddr".


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path contrib/ demo/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes contrib/ demo/ README TODO


%changelog
* Thu Aug 02 2007 Marius Feraru <altblue@n0i.net> - 0.61-1.n0i.18
- version 0.61

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.60-1.n0i.17
- version 0.60

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.59-2.n0i.16
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Thu Feb 22 2007 Marius FERARU <altblue@n0i.net> - 0.59-1.n0i.15
- version 0.59
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 0.58-1.n0i.14
- version 0.58

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.57-1.n0i.13
- version 0.57

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 0.55-1.n0i.12
- version 0.55

* Wed Jul 27 2005 Marius FERARU <altblue@n0i.net> 0.53-1.n0i.11
- version 0.53

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.52-1.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.48-2.n0i.9
- automatic rebuild (perl 5.8.6)

* Tue Nov 30 2004 Marius FERARU <altblue@n0i.net> 0:0.48-2.n0i.8
- version 0.48
- no dependencies are to be computed based on files in %%docdir

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.47-1.n0i.7
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:0.47-1.n0i.6
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:0.47-1.n0i.5
- version 0.47
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Wed Feb 25 2004 Marius FERARU <altblue@n0i.net> 0:0.46-1.n0i.4
- version 0.46

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.45-0.n0i.3
- version 0.45
- added buildrequires

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:0.44-0.n0i.2
- version 0.44
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001

* Sat Oct 18 2003 Marius FERARU <altblue@n0i.net> 0.41-0.n0i.1
- version 0.41
- spec file (re?)created using N0i::CPAN::RPMizer/2003101101
- added custom requires script for dropping Win32 requirements

* Mon Jan 27 2003 Chip Turner <cturner@redhat.com>
- version bump and rebuild

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- update to latest version from CPAN

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
- update to 0.26

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Sat Jun 15 2002 cturner@redhat.com
- Specfile autogenerated
